%define anolis_release 2
%bcond_without guile

Summary: A GNU tool which simplifies the build process for users
Name: make
Epoch: 1
Version: 4.4
Release: %{anolis_release}%{?dist}
License: GPLv3+
URL: http://www.gnu.org/software/make/
Source: ftp://ftp.gnu.org/gnu/make/make-%{version}.tar.gz

Patch0: make-4.4-getcwd.patch
Patch1: make-4.4-noclock_gettime.patch

BuildRequires: make
BuildRequires: autoconf
BuildRequires: automake > 1.16.1
BuildRequires: gettext-devel
BuildRequires: procps
BuildRequires: perl-interpreter

# For tests
BuildRequires: perl(FindBin) 
# For tests
BuildRequires: perl(locale)
%if %{with guile}
BuildRequires: guile-devel
%endif
BuildRequires: gcc

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files. Make
allows users to build and install packages without any significant
knowledge about the details of the build process. The details about
how the program should be built are provided for make in the program's
makefile.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Header file for externally visible definitions

%description devel
The make-devel package contains gnumake.h.

%prep
%autosetup -p1

rm -f tests/scripts/features/parallelism.orig

%build
autoreconf -vfi

%configure \
%if %{with guile}
    --with-guile
%else
    --without-guile
%endif

%make_build

%install
%make_install
ln -sf make ${RPM_BUILD_ROOT}/%{_bindir}/gmake
ln -sf make.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1/gmake.1

%find_lang %name

%check
echo ============TESTING===============
/usr/bin/env LANG=C make check && true
echo ============END TESTING===========

%files  -f %{name}.lang
%license COPYING
%{_bindir}/*
%{_mandir}/man*/*
%{_infodir}/*.info*
%{_includedir}/gnumake.h

%files doc
%doc NEWS README AUTHORS

%files devel
%{_includedir}/gnumake.h

%changelog
* Sat Dec 17 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 4.4-2
- fix wrong requires of doc package

* Tue Nov 1 2022 Funda Wang <fundawang@yeah.net> - 4.4-1
- New version 4.4

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.3-3
- add doc package

* Fri Apr 22 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 4.3-2
- build with guile-3.0

* Thu Mar 24 2022 forrest_ly <flin@linux.alibaba.com> - 4.3-1
- Init for AnolisOS 23
